unit Globals;

interface

{$IFC UNDEFINED THINK_PASCAL}
	uses	Types, QuickDraw, Menus, Events;
{$ENDC}

	const
{NIL_POINTER = nil;}
		MAX_PLAYERS = 4;

	type
		SHIPREC = record
				where: Point;
				vel: Point;
				isAlive: Boolean;
				isAccel: Boolean;
				color: RGBColor;
				dir: Integer;
				anim: Integer;
			end;

	const
		MAX_SHOTS = 25;

	type
		SHOTREC = record
				where: Point;
				vel: Point;
				isAlive: Boolean;
				color: RGBColor;
				lifeSpan: Integer;
				currentShape: Integer;
			end;

	const
		MAX_DEBRIS = 150;

	type
		DEBRISREC = record
				where: Point;
				vel: Point;
				countdown: Integer;
				color: RGBColor;
			end;

	const
		MAX_STARS = 20;

	type
		STARREC = record
				where: Point;
				color: RGBColor;
			end;


	var
		gPictureWindow: CWindowPtr;
		gOSPtr: CGrafPtr;
		gScrapPtr: CGrafPtr;

		gNewMatchSoundH: Handle;
		gShotSoundH: Handle;
		gBoomSoundH: Handle;
		gEndorsementSndH: Handle;

		gSoundOn, gPauseOn: Boolean;
		gPlaying, gDone, gMatchIsEnding: Boolean;
		myWhite, myBlack, myRed, myBlue, myYellow, myGreen, myOrange, myGray, myDkBlue: RGBColor;
		gMatchTicker: Integer;

		gAppleMenu, gFileMenu, gEditMenu: MenuHandle;
		gTheEvent: EventRecord;

		wneAvail, gSndIsInitted: Boolean;
		gColorQDFlag, g32bQDFlag: Boolean; {not used yet}

		theSysEnv: SysEnvRec;
		gOldDepth: Integer;
		gMainDev: GDHandle;

		gShipRecs, gOldShipRecs: array[0..MAX_PLAYERS] of SHIPREC;
		gShipSrcRects: array[0..MAX_PLAYERS, 0..8, 0..8] of Rect;

		gDebrisRecs, gOldDebrisRecs: array[0..MAX_DEBRIS] of DEBRISREC;

		gStarRecs: array[0..MAX_STARS] of STARREC;

		gShotRecs, gOldShotRecs: array[0..MAX_SHOTS] of SHOTREC;
		gShotSrcRects: array[0..8] of Rect;

implementation
end.